probit {VGAM} | R Documentation

## Probit Link Function

### Description

Computes the probit transformation, including its inverse and the first two derivatives.

### Usage

    probit(theta, bvalue = NULL, inverse = FALSE, deriv = 0,
           short = TRUE, tag = FALSE)

### Arguments

`theta` | Numeric or character. See below for further details.
`bvalue` | See `Links`.
`inverse, deriv, short, tag` | Details at `Links`.

### Details

The probit link function is commonly used for parameters that lie in the unit interval. Numerical values of `theta` close to 0 or 1 or out of range result in `Inf`, `-Inf`, `NA` or `NaN`.

### Value

For `deriv = 0`, the probit of `theta`, i.e., `qnorm(theta)` when `inverse = FALSE`, and if `inverse = TRUE` then `pnorm(theta)`.

For `deriv = 1`, then the function returns d `eta` / d `theta` as a function of `theta` if `inverse = FALSE`, else if `inverse = TRUE` then it returns the reciprocal.

### Note

Numerical instability may occur when `theta` is close to 1 or 0. One way of overcoming this is to use `bvalue`.

In terms of the threshold approach with cumulative probabilities for an ordinal response this link function corresponds to the univariate normal distribution (see `uninormal`).

### Author(s)

Thomas W. Yee

### References

McCullagh, P. and Nelder, J. A. (1989) Generalized Linear Models, 2nd ed. London: Chapman & Hall.

### See Also

`Links`, `logit`, `cloglog`, `cauchit`.

### Examples

    p <- seq(0.01, 0.99, by = 0.01)
    probit(p)
    max(abs(probit(probit(p), inverse = TRUE) - p))  # Should be 0

    p <- c(seq(-0.02, 0.02, by = 0.01), seq(0.97, 1.02, by = 0.01))
    probit(p)  # Has NAs
    probit(p, bvalue = .Machine$double.eps)  # Has no NAs

    ## Not run: p <- seq(0.01, 0.99, by = 0.01); par(lwd = (mylwd <- 2))
    plot(p, logit(p), type = "l", col = "limegreen", ylab = "transformation",
         las = 1, main = "Some probability link functions")
    lines(p,  probit(p), col = "purple")
    lines(p, cloglog(p), col = "chocolate")
    lines(p, cauchit(p), col = "tan")
    abline(v = 0.5, h = 0, lty = "dashed")
    legend(0.1, 4.0, c("logit", "probit", "cloglog", "cauchit"),
           col = c("limegreen", "purple", "chocolate", "tan"), lwd = mylwd)
    par(lwd = 1)
    ## End(Not run)

[Package VGAM version 1.0-4 Index]